Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.util
Class DbConfigEditor

    java.lang.Object
      edu.udo.cs.miningmart.gui.util.DbConfigEditor

    public class DbConfigEditor

extends java.lang.Object

An editor for the database-configuration.

Version:
  $Id: DbConfigEditor.java,v 1.6 2006/09/27 15:00:03 euler Exp $
Author:
  Martin Scholz

Field Summary
`static java.lang.String` | `DBMS_MYSQL`
`static java.lang.String` | `DBMS_ORACLE`
`static java.lang.String` | `DBMS_POSTGRES`
`static java.lang.String` | `DBMS_TYPE`
`static java.lang.String` | `VAR_BUS_DB_NAME`
`static java.lang.String` | `VAR_BUS_PASS`
`static java.lang.String` | `VAR_BUS_USER`
`static java.lang.String` | `VAR_DB_DRIV`
`static java.lang.String` | `VAR_DB_HOST`
`static java.lang.String` | `VAR_DB_NAME`
`static java.lang.String` | `VAR_DB_PORT`
`static java.lang.String` | `VAR_M4_DB_NAME`
`static java.lang.String` | `VAR_M4_PASS`
`static java.lang.String` | `VAR_M4_USER`

Constructor Summary
`DbConfigEditor(javax.swing.JFrame parent)` Constructor

Method Summary
`boolean` | `frameActive()`
`void` | `init()` This method reads the settings from file and initialises the editor frame.
`boolean` | `isCanceled()`
`void` | `setRestartWarning(boolean showRestartWarning)` Method to turn on/off the restart warning after changing the db.config settings.
`boolean` | `shouldRestart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VAR_DB_NAME

    public static final java.lang.String VAR_DB_NAME

See Also:
  Constant Field Values

### VAR_BUS_DB_NAME

    public static final java.lang.String VAR_BUS_DB_NAME

See Also:
  Constant Field Values

### VAR_M4_DB_NAME

    public static final java.lang.String VAR_M4_DB_NAME

See Also:
  Constant Field Values

### VAR_DB_HOST

    public static final java.lang.String VAR_DB_HOST

See Also:
  Constant Field Values

### VAR_DB_PORT

    public static final java.lang.String VAR_DB_PORT

See Also:
  Constant Field Values

### VAR_DB_DRIV

    public static final java.lang.String VAR_DB_DRIV

See Also:
  Constant Field Values

### VAR_M4_USER

    public static final java.lang.String VAR_M4_USER

See Also:
  Constant Field Values

### VAR_M4_PASS

    public static final java.lang.String VAR_M4_PASS

See Also:
  Constant Field Values

### VAR_BUS_USER

    public static final java.lang.String VAR_BUS_USER

See Also:
  Constant Field Values

### VAR_BUS_PASS

    public static final java.lang.String VAR_BUS_PASS

See Also:
  Constant Field Values

### DBMS_TYPE

    public static final java.lang.String DBMS_TYPE

See Also:
  Constant Field Values

### DBMS_POSTGRES

    public static final java.lang.String DBMS_POSTGRES

See Also:
  Constant Field Values

### DBMS_MYSQL

    public static final java.lang.String DBMS_MYSQL

See Also:
  Constant Field Values

### DBMS_ORACLE

    public static final java.lang.String DBMS_ORACLE

See Also:
  Constant Field Values

Constructor Detail

### DbConfigEditor

    public DbConfigEditor(javax.swing.JFrame parent)

  Constructor

Method Detail

### init

    public void init()

  This method reads the settings from file and initialises the editor frame.

### setRestartWarning

    public void setRestartWarning(boolean showRestartWarning)

  Method to turn on/off the restart warning after changing the db.config settings.

### frameActive

    public boolean frameActive()

### shouldRestart

    public boolean shouldRestart()

### isCanceled

    public boolean isCanceled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005